package com.ruoyi.project.patrol.fire.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 急救箱检查记录对象 t_fire_aidkit
 *
 * @author ssy
 * @date 2024-10-30
 */
public class TFireAidkit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 位置 */
    @Excel(name = "位置")
    private String position;

    /** 急救箱外观 */
    @Excel(name = "急救箱外观")
    private String aidkitAppearance;

    /** 内部物品是否按要求检查 */
    @Excel(name = "内部物品是否按要求检查")
    private String requireCheck;

    /** 封条是否完整 */
    @Excel(name = "封条是否完整")
    private String sealIntegrity;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirmed;

    /** 检查状态 */
    @Excel(name = "检查状态")
    private String checkStatus;

    /** 检查时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "检查时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date checkDate;

    /** 月度 */
    @Excel(name = "月度")
    private Long month;

    /** 年度 */
    @Excel(name = "年度")
    private Long year;

    /** 删除标识0未删除 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;

    /** 计划id */
    @Excel(name = "计划id")
    private Long planId;

    /** 问题文件地址 */
    @Excel(name = "问题文件地址")
    private String problemFileUrl;

    /** 文件地址 */
    @Excel(name = "文件地址")
    private String fileUrl;

    /** 检测是否有问题(1:是,0:否) */
    @Excel(name = "检测是否有问题(1:是,0:否)")
    private String issuesStatus;

    /** 是否为问题记录数据 */
    @Excel(name = "是否为问题记录数据")
    private String issuesFlag;

    /** 问题修复附件 */
    @Excel(name = "问题修复附件")
    private String repairFile;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setPosition(String position)
    {
        this.position = position;
    }

    public String getPosition()
    {
        return position;
    }
    public void setAidkitAppearance(String aidkitAppearance)
    {
        this.aidkitAppearance = aidkitAppearance;
    }

    public String getAidkitAppearance()
    {
        return aidkitAppearance;
    }
    public void setRequireCheck(String requireCheck)
    {
        this.requireCheck = requireCheck;
    }

    public String getRequireCheck()
    {
        return requireCheck;
    }
    public void setSealIntegrity(String sealIntegrity)
    {
        this.sealIntegrity = sealIntegrity;
    }

    public String getSealIntegrity()
    {
        return sealIntegrity;
    }
    public void setConfirmed(String confirmed)
    {
        this.confirmed = confirmed;
    }

    public String getConfirmed()
    {
        return confirmed;
    }
    public void setCheckStatus(String checkStatus)
    {
        this.checkStatus = checkStatus;
    }

    public String getCheckStatus()
    {
        return checkStatus;
    }
    public void setCheckDate(Date checkDate)
    {
        this.checkDate = checkDate;
    }

    public Date getCheckDate()
    {
        return checkDate;
    }
    public void setMonth(Long month)
    {
        this.month = month;
    }

    public Long getMonth()
    {
        return month;
    }
    public void setYear(Long year)
    {
        this.year = year;
    }

    public Long getYear()
    {
        return year;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setPlanId(Long planId)
    {
        this.planId = planId;
    }

    public Long getPlanId()
    {
        return planId;
    }
    public void setProblemFileUrl(String problemFileUrl)
    {
        this.problemFileUrl = problemFileUrl;
    }

    public String getProblemFileUrl()
    {
        return problemFileUrl;
    }
    public void setFileUrl(String fileUrl)
    {
        this.fileUrl = fileUrl;
    }

    public String getFileUrl()
    {
        return fileUrl;
    }
    public void setIssuesStatus(String issuesStatus)
    {
        this.issuesStatus = issuesStatus;
    }

    public String getIssuesStatus()
    {
        return issuesStatus;
    }
    public void setIssuesFlag(String issuesFlag)
    {
        this.issuesFlag = issuesFlag;
    }

    public String getIssuesFlag()
    {
        return issuesFlag;
    }
    public void setRepairFile(String repairFile)
    {
        this.repairFile = repairFile;
    }

    public String getRepairFile()
    {
        return repairFile;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("position", getPosition())
            .append("aidkitAppearance", getAidkitAppearance())
            .append("requireCheck", getRequireCheck())
            .append("sealIntegrity", getSealIntegrity())
            .append("confirmed", getConfirmed())
            .append("checkStatus", getCheckStatus())
            .append("checkDate", getCheckDate())
            .append("month", getMonth())
            .append("year", getYear())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .append("planId", getPlanId())
            .append("problemFileUrl", getProblemFileUrl())
            .append("fileUrl", getFileUrl())
            .append("issuesStatus", getIssuesStatus())
            .append("issuesFlag", getIssuesFlag())
            .append("repairFile", getRepairFile())
            .toString();
    }
}
